package com.phlx.wool.ui.cattle.farmer;

import android.os.Parcel;
import android.os.Parcelable;

import androidx.databinding.BaseObservable;

import org.greenrobot.greendao.annotation.Id;

public class FarmerEntity extends BaseObservable implements Parcelable {

    /**
     * id
     */
    @Id
    private String id;

    /**
     * 养殖户代码
     */
    private String pastureUnitId;

    /**
     * 养殖户名称
     */
    private String pastureUnitName;

    /**
     * 养殖户身份证号
     */
    private String pastureUnitIdcard;

    /**
     * 负责人联系电话
     */
    private String managerPhone;

    /**
     * 养殖地点
     */
    private String pasturePlace;

    /**
     * 养殖规模
     */
    private String pastureScale;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 草场面积
     */
    private String pasture;

    /**
     * 基础母羊
     */
    private String ewe;

    /**
     * 旗县市代码
     */
    private String cityCode;

    /**
     * 旗县市名称
     */
    private String cityName;

    /**
     * 乡镇代码
     */
    private String townsCode;

    /**
     * 乡镇名称
     */
    private String townsName;

    /**
     * 村代码
     */
    private String villageCode;

    /**
     * 村名称
     */
    private String villageName;

    /**
     * 时间戳
     */
    private String inputTime;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    public FarmerEntity() {
    }

    protected FarmerEntity(Parcel in) {
        id = in.readString();
        pastureUnitId = in.readString();
        pastureUnitName = in.readString();
        pastureUnitIdcard = in.readString();
        managerPhone = in.readString();
        pasturePlace = in.readString();
        pastureScale = in.readString();
        longitude = in.readString();
        latitude = in.readString();
        pasture = in.readString();
        ewe = in.readString();
        cityCode = in.readString();
        cityName = in.readString();
        townsCode = in.readString();
        townsName = in.readString();
        villageCode = in.readString();
        villageName = in.readString();
        inputTime = in.readString();
        delFlag = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(id);
        dest.writeString(pastureUnitId);
        dest.writeString(pastureUnitName);
        dest.writeString(pastureUnitIdcard);
        dest.writeString(managerPhone);
        dest.writeString(pasturePlace);
        dest.writeString(pastureScale);
        dest.writeString(longitude);
        dest.writeString(latitude);
        dest.writeString(pasture);
        dest.writeString(ewe);
        dest.writeString(cityCode);
        dest.writeString(cityName);
        dest.writeString(townsCode);
        dest.writeString(townsName);
        dest.writeString(villageCode);
        dest.writeString(villageName);
        dest.writeString(inputTime);
        dest.writeString(delFlag);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<FarmerEntity> CREATOR = new Creator<FarmerEntity>() {
        @Override
        public FarmerEntity createFromParcel(Parcel in) {
            return new FarmerEntity(in);
        }

        @Override
        public FarmerEntity[] newArray(int size) {
            return new FarmerEntity[size];
        }
    };

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPastureUnitId() {
        return pastureUnitId;
    }

    public void setPastureUnitId(String pastureUnitId) {
        this.pastureUnitId = pastureUnitId;
    }

    public String getPastureUnitName() {
        return pastureUnitName;
    }

    public void setPastureUnitName(String pastureUnitName) {
        this.pastureUnitName = pastureUnitName;
    }

    public String getPastureUnitIdcard() {
        return pastureUnitIdcard;
    }

    public void setPastureUnitIdcard(String pastureUnitIdcard) {
        this.pastureUnitIdcard = pastureUnitIdcard;
    }

    public String getManagerPhone() {
        return managerPhone;
    }

    public void setManagerPhone(String managerPhone) {
        this.managerPhone = managerPhone;
    }

    public String getPasturePlace() {
        return pasturePlace;
    }

    public void setPasturePlace(String pasturePlace) {
        this.pasturePlace = pasturePlace;
    }

    public String getPastureScale() {
        return pastureScale;
    }

    public void setPastureScale(String pastureScale) {
        this.pastureScale = pastureScale;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getPasture() {
        return pasture;
    }

    public void setPasture(String pasture) {
        this.pasture = pasture;
    }

    public String getEwe() {
        return ewe;
    }

    public void setEwe(String ewe) {
        this.ewe = ewe;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getTownsCode() {
        return townsCode;
    }

    public void setTownsCode(String townsCode) {
        this.townsCode = townsCode;
    }

    public String getTownsName() {
        return townsName;
    }

    public void setTownsName(String townsName) {
        this.townsName = townsName;
    }

    public String getVillageCode() {
        return villageCode;
    }

    public void setVillageCode(String villageCode) {
        this.villageCode = villageCode;
    }

    public String getVillageName() {
        return villageName;
    }

    public void setVillageName(String villageName) {
        this.villageName = villageName;
    }

    public String getInputTime() {
        return inputTime;
    }

    public void setInputTime(String inputTime) {
        this.inputTime = inputTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    @Override
    public String toString() {
        return "FarmerEntity{" +
                "id='" + id + '\'' +
                ", pastureUnitId='" + pastureUnitId + '\'' +
                ", pastureUnitName='" + pastureUnitName + '\'' +
                ", pastureUnitIdcard='" + pastureUnitIdcard + '\'' +
                ", managerPhone='" + managerPhone + '\'' +
                ", pasturePlace='" + pasturePlace + '\'' +
                ", pastureScale='" + pastureScale + '\'' +
                ", longitude='" + longitude + '\'' +
                ", latitude='" + latitude + '\'' +
                ", pasture='" + pasture + '\'' +
                ", ewe='" + ewe + '\'' +
                ", cityCode='" + cityCode + '\'' +
                ", cityName='" + cityName + '\'' +
                ", townsCode='" + townsCode + '\'' +
                ", townsName='" + townsName + '\'' +
                ", villageCode='" + villageCode + '\'' +
                ", villageName='" + villageName + '\'' +
                ", inputTime='" + inputTime + '\'' +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
